*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}
html,body{
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

/* Header Section */
.header{
    min-height: 100vh;
    width : 100%;
    background-image : linear-gradient(rgba(0,0,0,0.7), rgba(0,0,0,0.7)), url(images/computer.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
}

#home{
    color:#29F270;
}
 #menu{
    color: #fff;
}
#menu:hover{
    color:#29F270;
}
/* .bg-dark{
    background-color: red !important;
    transition: 0.5s ease;
} */

/* .bgcolor{
    background-color: yellow;
}
.bgcolor.scrolled{
    background-color: red;
} */
.nav{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center; 
}
.nav-links{
    flex: 1;
    text-align: right;
    padding-right: 5%;
}
.nav-links ul li{
    list-style:none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}
.nav-links ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 13px;
}
.nav-links ul li::after{
    content:'';
    width: 0%;
    height: 2px;
    background: #29F270;
    display: block;
    margin: auto; 
    transition: 0.5s;
}
.nav-links ul li:hover::after{
    width: 100%;
}
.navbar-brand{
    color: #fff;
    
}
.navbar-brand:hover{
    color: #29F270;
}
nav .fas{
    display: none;
    color: #fff;
   } 

.nav-item {
    padding: 0 10px;
  } 

.navbar-toggler{
    background: #29F270;
    border: none;
    padding: 10px 6px;
    outline: none;
}
.navbar-toggler span{
    display: block;
    width: 22px;
    height: 2px;
    border: 1px;
    background: #fff;
}
.navbar-toggler span + span{
    margin-top: 4px;
    width: 18px;
    margin-left: 4px;
}
.navbar-toggler span + span + span{
    width: 10px;
    margin-left: 10px;
}


.title-text{
    width: 90%;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    
}
.title-text h1{
    font-size: 70px;
    font-weight: bolder;
}
.title-text p{
    margin: 10px 0 40px;
    font-size: 20px;
    color:#fff;
}
.cta-button{
    display: inline-block;
    text-decoration: none;
    color:#fff;
    border: 1px solid #fff;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    position: relative;
    cursor: pointer;
    border-radius: 8px;
    
}
.cta-button:hover{
    border: 1px solid #29F270;
    background: #29F270;
    transition: 1s;
    color: #fff;
    text-decoration: none;
}

/* About Section */
.about{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px; 
}

hr{
    width: 10%;
    border: 1px solid #77817b;
    margin: 20px auto;
  

}
h1{
    font-size: 40px;
    font-weight: bolder;
    color: #23a551;
    text-align: center;
}
p{
    color:#fff;
    font-size: 14px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}
.row-row{
    margin-top: 5%;
    display:flex;
    justify-content: space-between;
}
.about-col{
    flex-basis: 31%;
    background: #3dca6f;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}
h3{
    text-align: center;
    font-weight:600;
    margin: 10px 0;
    color: #fff;
}
.about-col:hover{
    box-shadow: 0 0 10px 0px rgba(0, 0, 0, 10);
}

/* Services Section */
.services{
    width: 100%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
    background-image : linear-gradient(rgba(0,0,0,0.8), rgba(0,0,0,0.8)), url(images/services.jpg);
    background-size: cover;
    background-position: center;
    position:relative;
    
}
.services-col{
    flex-basis: 31%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
    margin-top: 5%;
    padding-left: 100px;
    
}
.services-col img{
    width: 100%;
    border-radius: 10px;
    
}
.services-col p{
    padding:0;
}
.services-col h3{
    margin-top:16px;
    margin-bottom:15px;
    text-align:left;
}

/* Work Section */
.work{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
.work-col{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
    margin-top: 5%;
}
.work-col img{
    width: 70%;
}
.layer{
    background: transparent;
    height: 100%;
    width: 100%;
    position:absolute;
    top: 0;
    left:0;
    transition: 0.5s;
}
.layer:hover{
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
}
.layer h3{
    width: 100%;
    font-weight:bold;
    color: #fff;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.layer:hover h3{
    bottom: 49%;
    opacity: 1;
}

/* Testimonial Section */

.testimonials{
    width: 80%;
    margin: auto;
    padding-top: 100px;
    text-align: center;
    
    
}
.testimonial-col{
    flex-basis: 44%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
    background: #3dca6f;
    padding: 25px;
    cursor: pointer;
    display: flex;
    margin:50px 30px;
    box-sizing: border-box;
    transition: 0.5s;
}
.testimonial-col img {
    height: 40px;
    margin-left: 5px;
    margin-right: 30px;
    border-radius: 50%;
}
.testimonial-col p{
    padding: 0;
    font-size: 15px;
}
.testimonial-col h3{
    margin-top: 15px;
    text-align: left;
    font-size: 15px;
}

.testimonial-col:hover{
    box-shadow: 0 0 10px 0px rgba(0, 0, 0, 10);
}

/* Contact Section */
.contact{
    position: relative;
    min-height: 100vh;
    padding: 50px 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-image : linear-gradient(rgba(0,0,0,0.8), rgba(0,0,0,0.8)), url(images/building.jpg);
    background-size: cover;
    background-position: center;
    position:relative;
}
.container{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5%;
}
.container .contactInfo{
    width: 50%;
    display: flex;
    flex-direction:column;
}
.container .contactInfo .box{
    position: relative;
    padding: 20px 0;
    display: flex;
    
}
.container .contactInfo .box .icon{
    min-width: 45px;
    height: 45px;
    background: #fff;
    display:flex;
    justify-content: center;
    align-content: center;
    border-radius: 50%;
    font-size: 17px;
    padding-top: 14px;
    position: relative;
    top: 8px;
}

.container .contactInfo .box .text{
    display: flex;
    margin-left: 20px;
    font-size: 16px;
    color: #fff;
    font-weight: 300;
}
.container .contactInfo .box .text h3{
    font-weight: 500;
    color:#23a551;
    font-size:24px ;
    font-weight:700;
    

}
.container .contactInfo .box .text p{
    /* margin-top: 30px; */
    padding-right:80px;
    position: relative;
    top: 30px;
    right: 110px;
}
.para{
    margin-left: 23px;
}
.paragraph{
    margin-left:32px;
}

.contactForm{
    width: 40%;
    padding: 40px;
    background: #fff;
}
.contactForm h2{
    font-size: 30px;
    color: #333;
    font-weight: 500;
}
.contactForm .inputBox{
    position: relative;
    width: 100%;
    margin-top: 10px;
}
.contactForm .inputBox input,
.contactForm .inputBox textarea{
    width: 100%;
    padding: 5px 0;
    font-size: 16px;
    margin: 10px 0;
    border:none;
    border-bottom: 2px solid #333;
    outline: none;
    resize: none;
}
.contactForm .inputBox span{
    position: absolute;
    left: 0;
    padding: 5px 0;
    font-size: 16px;
    margin: 10px 0;
    pointer-events: none;
    transition: 0.5s;
    color: #666;
}
.contactForm .inputBox input:focus ~ span,
.contactForm .inputBox input:valid ~ span,
.contactForm .inputBox textarea:focus ~ span,
.contactForm .inputBox textarea:valid ~ span{
    color: #23a551;
    font-size: 12px;
    transform: translateY(-20px);
}

.contactForm .inputBox input[type = "submit"]{
    width: 100px;
    background: #23a551;
    color: #fff;
    border:none;
    cursor: pointer;
    padding: 10px;
    font-size: 18px;
}

/* Social-links Section */
.connect{
    width: 80%;
    margin: auto;
    padding-top: 100px;
    text-align: center;
    padding-bottom: 100px;
    
}
.connect h1{
    font-size: 30px;
    margin-bottom: 50px;
}
.social-links{
    text-align: center;
}

.social-links a{
    width: 80px;
    height:80px;
    text-decoration: none;
    color: #000;
    margin: 0 30px;
    border-radius: 50%;
}
.social-links a .fab{
    font-size: 30px;
    line-height: 80px;
    transition: color 0.5s;
}


.social-links a:hover .fab{
    color: #23a551;
}


.copyright{
    background: black;

}
.copyright h1{
    font-size: 15px;
    font-weight: 300;
    padding: 30px 0;
    margin-bottom: 0;
}

/* Thank You page */
.sub-header{
    min-height: 100vh;
    width : 100%;
    background-image : linear-gradient(rgba(0,0,0,0.7), rgba(0,0,0,0.7)), url(images/thanks.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
}

.thankyou-text{
    width: 90%;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

@media (max-width:700px) {
    hr{
        width: 15%;
    }
    .copyright h1{
        font-size: 11px;
        font-weight:300;
    }
      .row-row{
          flex-direction:column;
        }
      .row{
         flex-direction:column;
        }
      .testimonial-col img {
         margin-left: 0px;
         margin-right: 15px;
      }
      .testimonial-col{
        margin:40px 0px;
      }
      
      .work-col img{
        width: 50%;
      }
      .services{
          padding-right: 40px;
      }
      .services-col img{
        width: 80%;
      }
      .services-col p{
          padding-right: 40px;
        }
       .contact{
         margin-top:50px;
       }
       .container{
           flex-direction: column;
       }
       .container .contactInfo{
           margin-bottom: 40px;
           width: auto;
           margin-left: 200px;
       }
        .contactForm{
           width: 350px;
       }
    .h1contactus{
        font-size: 25px;
    }
       .social-links{
           margin:auto;
           padding: 0;
        }

        .social-links a .fab{
            font-size: 20px;
            line-height: 43px;
            
          }
        .social-links a{
            width: 40px;
            height:40px;
            
        }

    }
